<script>
	import '../app.css';
	import NavLink from '$lib/NavLink.svelte';

	let open = false;
	let state = 'from-left';
</script>

<svelte:head>
	<title>TN Event 2023</title>
</svelte:head>

<nav>
	<div
		class="dark:bg-slate-900 items-center relative justify-between px-5 py-6 w-full bg-[#FED053] hidden md:flex"
	>
		<a href="/">
			<img src="/logo-large.png" alt="logo tn event" class="w-32 drop-shadow-lg" />
		</a>
		<div class="flex gap-3 items-center">
			<!-- team & sponsors btn -->
			<NavLink href="/">L'événement</NavLink>
			<NavLink href="/team">L'équipe</NavLink>
			<NavLink href="/sponsors">Les sponsors</NavLink>
		</div>
		<div class="flex gap-3 items-center">
			<a
				href="https://www.helloasso.com/associations/aremig/formulaires/1"
				class="text-white text-lg p-3 rounded-md bg-[#EC9C04] hover:bg-[#F5B301] transition-all"
				>Faire un don</a
			>
		</div>
	</div>

	<div
		class="dark:bg-slate-900 items-center relative justify-between px-5 py-6 w-full bg-[#FED053] flex md:hidden"
	>
		<button
			on:click={() => {
				open = !open;
			}}
		>
			<svg
				xmlns="http://www.w3.org/2000/svg"
				class="h-6 w-6 text-black"
				fill="none"
				viewBox="0 0 24 24"
				stroke="currentColor"
			>
				<path
					stroke-linecap="round"
					stroke-linejoin="round"
					stroke-width="2"
					d="M4 6h16M4 12h16M4 18h16"
				/>
			</svg>
		</button>

		<a href="/">
			<img src="/logo-large.png" alt="logo tn event" class="w-32 drop-shadow-lg" />
		</a>
	</div>

	{#if open}
		<!-- svelte-ignore a11y-click-events-have-key-events -->
		<!-- svelte-ignore a11y-no-static-element-interactions -->
		<div
			class="fixed inset-0 bg-black bg-opacity-50 z-50"
			on:click={() => {
				state = 'to-left';
				setTimeout(() => {
					state = 'from-left';
					open = false;
				}, 250);
			}}
		/>
		<div
			class="fixed inset-y-0 left-0 w-64 bg-[#FED053] z-50 overflow-y-auto flex flex-row justify-center {state}"
		>
			<div class="flex flex-col mt-4">
				<a href="/">
					<img src="/logo-large.png" alt="logo tn event" class="w-32 drop-shadow-lg" />
				</a>
				<div class="flex flex-col gap-3 items-center">
					<NavLink href="/">L'événement</NavLink>
					<NavLink href="/team">L'équipe</NavLink>
					<NavLink href="/sponsors">Les sponsors</NavLink>
				</div>
				<div class="flex flex-col gap-3 items-center">
					<a
						href="https://www.helloasso.com/associations/aremig/formulaires/1"
						class="text-white text-lg p-3 rounded-md bg-[#EC9C04] hover:bg-[#F5B301] transition-all"
						>Faire un don</a
					>
				</div>
			</div>
		</div>
	{/if}
</nav>

<div class="min-h-screen">
	<slot />
</div>

<!-- Add footer with the final amount of money -->
<div class="sticky bg-[#FED053] p-5 mt-5 bottom-0 w-full">
	<div class="flex flex-row items-center justify-center gap-3">
		<p class="text-center">
			Le <span class="font-bold">TN'Event</span> est un événement organisé par HumaniTN
		</p>
		<p class="text-center">
			<a href="https://www.helloasso.com/associations/aremig/formulaires/1" class="underline">
				Faire un don
			</a>
		</p>
		<p class="text-center">
			<a href="https://www.aremig.org" class="underline">Site d'AREMIG</a>
		</p>
	</div>
</div>

<style lang="postcss">
	:global(html) {
		background-color: #fae4a7;
	}

	@keyframes -from-left {
		0% {
			transform: translateX(-100vw);
			opacity: 1;
		}
		100% {
			transform: translateX(0);
			opacity: 1;
		}
	}

	@keyframes -to-left {
		0% {
			transform: translateX(0);
			opacity: 1;
		}
		100% {
			transform: translateX(-100vw);
			opacity: 1;
		}
	}

	.from-left {
		animation: -from-left 0.25s ease-in-out;
	}
	.to-left {
		animation: -to-left 0.25s ease-in-out;
	}
</style>
